Summary: TMDA email interface scripts.
Name: tmda-email
Version: 1.1.12
Release: 3
Source0: tmda-email-%{version}-%{release}.tar.gz
License: GPL
Group: Utilities/System
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
BuildArch: noarch
Packager: David Summers <david@summersoft.fay.ar.us>
Url: https://summersoft.fay.ar.us/repos/email/tmda-email
Requires: perl
Requires: tmda >= 1.1.12

%description
tmda-email is an email interface to the TMDA (Tagged Message Delivery Agent)
(see http://tmda.net for more information on TMDA.

%changelog
* Sat Oct 03 2020 David Summers <david@summersoft.fay-ar.us> 1.1.12-3
- Reworked build system to work correctly with standard ~/rpmbuild directory.

* Sat Dec 14 2013 David Summers <david@summersoft.fay-ar.us> 1.1.12-2
- Added .forward-default.
- Took out tmda-setup, that belongs in tmda-cgi instead.
- Re-worked email addresses for postfix.
- Untested yet with qmail.

* Sat Dec 07 2013 David Summers <david@summersoft.fay-ar.us> 1.1.12-1
- Bumped version to 1.1.12 to match tmda package.
- Fixed .forward to work correctly on Postfix (tested).

* Sun Dec 09 2012 David Summers <david@summersoft.fay.ar.us> 1.2.0-1
- Updates for working with postfix and virtual hosts.

* Mon Jan 17 2011 David Summers <david@summersoft.fay.ar.us> 1.1.3-4
- Fixed lock file to work consistently by switching it from /tmp to /var/tmp.
  The problem with the previous version was that the lock file was being
  erased every day and if the process was longer than 24 hours then it would
  be re-started for the same user the next day.

* Wed Jan 05 2011 David Summers <david@summersoft.fay.ar.us> 1.1.3-3
- Stopped using tmda-pending for deleting old emails, it is way too slow.
- Now uses 'setlock' for processing each users' pending queue so that if
  it takes too long and is still running the next day, then it won't
  start up another process.

* Mon Jan 03 2011 David Summers <david@summersoft.fay.ar.us> 1.1.3-2
- Changed daily mail processing to use "getent passwd" so it will work no
  matter what settings have been set in /etc/nsswitch.conf (including LDAP).

* Sun Mar 09 2008 David Summers <david@summersoft.fay.ar.us> 1.1.3-1
- Previous fix didn't go far enough.  Port fix from 1.0.x into trunk.
  Fixed mail processing to match *whitelist* messages even when the file
  names have been modified by a status indicator.  Also switch to using
  the TMDA PENDING command line operations on messages instead of trying
  to do the equivalent in this program.  Software re-use is good.

* Fri Dec 21 2007 David Summers <david@summersoft.fay.ar.us> 1.1.2-1
- Fixed bug causing whitelist or released messages to not be processed
  correctly.

* Sat Dec 01 2007 David Summers <david@summersoft.fay.ar.us> 1.1.1-1
- Fixed .qmail-tmda-default to be set up and destroyed during the daily
  processing instead of manually.
- Fixed bug caused by not enough testing where we were still using the old
  TMDA pending file format instead of the new Maildir format.
- Changed tmda-email-setup to tmda-setup and got rid of manual
  .qmail-tmda-default creation. Command tmda-setup is just a shell program
  that makes setting up TMDA nicer, not necessary for this package function.

* Sat Dec 01 2007 David Summers <david@summersoft.fay.ar.us> 1.1.0-1
- Updated for TMDA 1.1.11.
- Changed pending directory to ~/Maildir/.Pending
- Changed version to 1.1 to match TMDA MAJOR.MINOR version.

* Thu Nov 15 2007 David Summers <david@summersoft.fay.ar.us> 0.12.1-1
- Automatically rotate users' .tmda/incoming.log file so it doesn't continue
  building up forever.  Set to do once per day for 14 days (same as default
  TMDA quarantine old message delete time).
 
* Wed Mar 03 2004 David Summers <david@summersoft.fay.ar.us> 0.12-1
- Fixed problem encountered when trying to run tmda-pending-email on perl 5.8.
  (I've not verified whether this is backward compatable to perl 5.6 yet).

* Thu Feb 05 2004 David Summers <david@summersoft.fay.ar.us> 0.11-1
- Added link to the host's TMDA-CGI web page.  Suggested by Jim Parker.

* Mon Jun 23 2003 David Summers <david@summersoft.fay.ar.us> 0.10-1
- Changes to sync with TMDA-CGI package.
- Renamed the following files:
  lists/whitelist-confirmed -> lists/confirmed.
  lists/whiltelist-mailinglists -> Deleted.  Use lists/whitelist.
- Added lists/blacklist and lists/revoked in filter/incoming.
- Fixed crypt_key to be generated correctly.
- Fixed config file to be copied.

* Thu Jun 05 2003 David Summers <david@summersoft.fay.ar.us> 0.9-1
- Fixed whitelist regular expression file name checker to allow for optional
  "status" suffix for qmail message files.

* Tue Jun 03 2003 David Summers <david@summersoft.fay.ar.us> 0.8-1
- If the whitelist function can't find the file, return an error message to
  the user.

* Tue Jun 03 2003 David Summers <david@summersoft.fay.ar.us> 0.7-1
- Changed "whitelist" function to save the From: header instead of the
  envelope (Return-Path) header.

* Sat May 24 2003 David Summers <david@summersoft.fay.ar.us> 0.6-1
- Whitelist function now strips <> characters to work correctly with TMDA.
- Summary now provides count of new messages in pending queue.
- Summary now provides links to get whitelist, whitelist-confirmed, and another   summary listing.

* Fri Oct 18 2002 David Summers <david@summersoft.fay.ar.us> 0.5-1
- Documented new "get" functions.

* Fri Oct 18 2002 David Summers <david@summersoft.fay.ar.us> 0.4-1
- Fixed syntax errors in tmda-mail-proc and fixed tmda-get functionality to
  really work.
- Changed tmda-email-maildrop to have optional -html flag.

* Tue Oct 01 2002 David Summers <david@summersoft.fay.ar.us> 0.3-1
- Changed .tmda/lists file names from whitelist_confirmed to whitelist-confirmed
  and whitelist_mailinglists to whitelist-mailinglists.
- Added get-whitelist/get-whitelist-confirmed feature.

* Tue Oct 01 2002 David Summers <david@summersoft.fay.ar.us> 0.2-1
- Switched from user-tmdaproc-command to user-tmda-command to make it easier
  for users to remember how to send commands should they want/need to do it
  manually.
- Added user-tmda-get-summary command which returns the TMDA Summary.

* Mon Sep 30 2002 David Summers <david@summersoft.fay.ar.us> 0.1-1
- Initial Version - Taken from initial scripts by Bernard Johnson.

%prep
%setup -n %{name}-%{version}-%{release}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
mkdir -p $RPM_BUILD_ROOT/etc/qmail/alias
mkdir -p $RPM_BUILD_ROOT/usr/lib/tmda-email
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin

# Set up system scripts.
cp tmda-mail-proc $RPM_BUILD_ROOT/usr/sbin
cp tmda-pending-mail $RPM_BUILD_ROOT/usr/sbin
cp tmda-email-maildrop $RPM_BUILD_ROOT/usr/sbin

# Set up daily cron job
cp tmda-email.cron.daily $RPM_BUILD_ROOT/etc/cron.daily/tmda-email

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO
/etc/cron.daily/*
/usr/lib/tmda-email
/usr/sbin/*
